// 全局共享数据
import { useState } from "react";
import { UploaderValueItem } from "react-vant";

const useGlobal = () => {
  const [matterAddress, setMatterAddress] = useState<any>({});
  /**
   *  用户信息
   */
  const [user, setUser] = useState<any>();
  /**
   *  登录信息
   */
  const [loginInfo, setLoginInfo] = useState<any>();
  const [area, setArea] = useState(0);
  const [problemDesc, setProblemDesc] = useState("");
  const [fileList, setFileList] = useState<UploaderValueItem[]>([]);
  return {
    matterAddress,
    setMatterAddress,
    loginInfo,
    setLoginInfo,
    user,
    setUser,
    area,
    setArea,
    problemDesc,
    setProblemDesc,
    fileList,
    setFileList,
  };
};

export default useGlobal;
